I always build the clang from its SVN trunk on my 10.6.7, the generated clang tool set could compile Qt 4.8.2 with some small patches which can  be found by Google.<br><br><div class="gmail_quote">On Thu, Aug 30, 2012 at 11:08 PM, Michael Jackson <span dir="ltr"><<a href="mailto:imikejackson@gmail.com" target="_blank">imikejackson@gmail.com</a>></span> wrote:<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><div class="im"><br>
On Aug 30, 2012, at 11:00 AM, Till Oliver Knoll wrote:<br>
<br>
> Am 30.08.2012 um 13:09 schrieb Bo Elmgreen <<a href="mailto:bo.elmgreen@gmail.com">bo.elmgreen@gmail.com</a>>:<br>
><br>
>> ..., QtCreator cannot find clang++ :-/ And I cannot find it on my system. Maybe it is because I still have Xcode 3.2.6 installed!?<br>
><br>
> Very much likely ;) My book sais that "LLVM 3.0 / Clang" did not become the default until Xcode 4.2 - For Xcode 3.2 gcc was still the default.<br>
><br>
> (Which makes me wonder why you mentioned clang in the first place, but anyway).<br>
><br>
>> Hmmm - it seems like I need to upgrade to Xcode 4 in order to get clang++ :-/<br>
><br>
> Not necessarily: as I mentioned previously you'd need to download and install the "Xcode command line tools" manually anyway (unless you want to extend your PATH to point into the Xcode 4.x application bundle). Usually that is done from within Xcode.<br>

><br>
> However I think I once came across an ordinary Apple Developer website which offers those "Xcode command line tools" (as an Installer package) as well. Off course I cannot find it right now (might be that you need to be logged in with your Apple ID, hence that site might not be indexed by Google).<br>

><br>
> In case you're not interested in Xcode at all anymore, that is ;)<br>
><br>
> Cheers,<br>
>  Oliver<br>
<br>
</div>You need to log into the <a href="http://developer.apple.com" target="_blank">developer.apple.com</a> to download the "Command line tools" for Lion or Mtn Lion. Note that the OS X SDKs do NOT come with these tools. Just the compiler and associate tools. So if you are building anything that needs to link against the OS X SDKS (like Qt..) you still need to install Xcode.<br>

<br>
 Note that you can build the Latest Clang yourself. I *think* you need OS X 10.7 to do this though. Not sure on that last one. But again, unless you are building something basically trivial that does NOT rely on the OS X SDK's then you still need to install Xcode.<br>

<br>
Just some stuff that I have found out in the last few months.<br>
<br>
---<br>
Mike J.<br>
<div class="HOEnZb"><div class="h5"><br>
_______________________________________________<br>
Interest mailing list<br>
<a href="mailto:Interest@qt-project.org">Interest@qt-project.org</a><br>
<a href="http://lists.qt-project.org/mailman/listinfo/interest" target="_blank">http://lists.qt-project.org/mailman/listinfo/interest</a><br>
</div></div></blockquote></div><br><br clear="all"><br>-- <br><div>Regards,</div><div>Fan Yang</div><br>